For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieves information about the user (roles, permissions assigned policies)

Updates user permissions.

get

Updates user permissions for the specified username.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
usernamestringRequired

User Identifier

Example: username
Responses
200

User permissions.

application/json
usernamestringRequiredExample: username
rolestring Β· enumRequiredExample: USERPossible values:
permissionsGroupstring[]OptionalExample: [{}]
permissionsstring[]RequiredExample: ["POLICIES_POLICY_READ"]
didstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
parentstringOptionalExample: #did:hedera:testnet:AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA_0.0.0000001
hederaAccountIdstringOptionalExample: 0.0.1
get
/permissions/users/{username}

Last updated